<!doctype html>

<html>
  <head>
    <title>hook-calendar-widget test</title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, minimum-scale=1.0, initial-scale=1, user-scalable=yes">
    <script src="../../webcomponentsjs/webcomponents-lite.js"></script>
    <script src="../../web-component-tester/browser.js"></script>

    <link rel="import" href="../hook-calendar-widget.html">
  </head>
  <body>

    <test-fixture id="basic">
      <template>
        <hook-calendar-widget
          current-date="2017-01-10"
          events="[]">
        </hook-calendar-widget>
      </template>
    </test-fixture>

    <script>
      suite('hook-calendar-widget', function() {

        var element = fixture('basic');

        test('instantiating the element works', function() {
          assert.equal(element.is, 'hook-calendar-widget');
        });

        test('currentDate value', function() {
          assert.deepEqual(element.currentDate, new Date(element.currentDate));
        });

        test('empty events array', function() {
          assert.deepEqual(element.events, []);
        });

        test('title value', function() {
          assert.equal(element.title, 'January 2017');
        });

        test('entries', function() {
          assert.isArray(element.entries, 'is Array');
        });

        test('currentMonth value', function() {
          assert.equal(element.currentMonth, '2017-01');
        });

      });
    </script>
  </body>
</html>
